package com.zioinfo.mall.admin.mapper;

import com.zioinfo.mall.admin.dto.MallSetting;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SettingMapper {

    List<MallSetting> findAll();

    MallSetting findByKey(@Param("key") String key);

    int upsert(@Param("key") String key, @Param("value") String value);
}
